searchData={"items":[{"type":"module","title":"ImageRs","doc":"","ref":"ImageRs.html"},{"type":"function","title":"ImageRs.adjust_contrast/2","doc":"Adjust the contrast of this image.\n\n`contrast` is the amount to adjust the contrast by.\n\nNegative values decrease the contrast and positive values increase the contrast.","ref":"ImageRs.html#adjust_contrast/2"},{"type":"function","title":"ImageRs.blur/2","doc":"Performs a Gaussian blur on this image.\n\n`sigma` is a measure of how much to blur by.","ref":"ImageRs.html#blur/2"},{"type":"function","title":"ImageRs.brighten/2","doc":"Brighten the pixels of this image.\n\n`value` is the amount to brighten each pixel by.\n\nNegative values decrease the brightness and positive values increase it.","ref":"ImageRs.html#brighten/2"},{"type":"function","title":"ImageRs.crop/5","doc":"Return a cut-out of this image delimited by the bounding rectangle.","ref":"ImageRs.html#crop/5"},{"type":"function","title":"ImageRs.encode_as/3","doc":"Encode this image as format.","ref":"ImageRs.html#encode_as/3"},{"type":"function","title":"ImageRs.filter3x3/2","doc":"Filters this image with the specified 3x3 kernel.","ref":"ImageRs.html#filter3x3/2"},{"type":"function","title":"ImageRs.fliph/1","doc":"Flip this image horizontally","ref":"ImageRs.html#fliph/1"},{"type":"function","title":"ImageRs.flipv/1","doc":"Flip this image vertically","ref":"ImageRs.html#flipv/1"},{"type":"function","title":"ImageRs.from_binary/1","doc":"Decode image from buffer in memory\n\n- **data**. Image data in memory.","ref":"ImageRs.html#from_binary/1"},{"type":"function","title":"Example - ImageRs.from_binary/1","doc":"```elixir\n# image buffer from a file or perhaps download from the Internet\n{:ok, data} = File.read(\"/path/to/image\")\n\n# decode the image from memory\n{:ok, image} = ImageRs.from_binary(data)\nwidth = image.width\nheight = image.height\nchannels = image.channels\nshape = image.shape\n{^height, ^width, ^channels} = shape\ncolor_type = image.color_type\ntype = image.type\n```","ref":"ImageRs.html#from_binary/1-example"},{"type":"function","title":"ImageRs.from_binary!/1","doc":"Similar to from_binary/1 but raises on errors","ref":"ImageRs.html#from_binary!/1"},{"type":"function","title":"ImageRs.from_file/1","doc":"Decode image from a given file\n\n- **filename**. Path to the image.","ref":"ImageRs.html#from_file/1"},{"type":"function","title":"Example - ImageRs.from_file/1","doc":"```elixir\n{:ok, image} = ImageRs.from_file(\"/path/to/image\")\nwidth = image.width\nheight = image.height\nchannels = image.channels\nshape = image.shape\n{^height, ^width, ^channels} = shape\ncolor_type = image.color_type\ntype = image.type\n```","ref":"ImageRs.html#from_file/1-example"},{"type":"function","title":"ImageRs.from_file!/1","doc":"Similar to from_file/1 but raises on errors","ref":"ImageRs.html#from_file!/1"},{"type":"function","title":"ImageRs.from_nx/1","doc":"Creates an `ImageRs` from a Nx tensor.\n\nThe tensor is expected to have the shape `{h, w, c}`\nand one of the supported types (u8/u16/f32).","ref":"ImageRs.html#from_nx/1"},{"type":"function","title":"ImageRs.grayscale/1","doc":"Return a grayscale version of this image.\n\nReturns Luma images in most cases. However, for f32 images, this will return a grayscale Rgb/Rgba image instead.","ref":"ImageRs.html#grayscale/1"},{"type":"function","title":"ImageRs.huerotate/2","doc":"Hue rotate the supplied image.\n\n`value` is the degrees to rotate each pixel by.\n\n0 and 360 do nothing, the rest rotates by the given degree value.\n\njust like the css webkit filter hue-rotate(180)","ref":"ImageRs.html#huerotate/2"},{"type":"function","title":"ImageRs.invert/1","doc":"Invert the colors of this image.","ref":"ImageRs.html#invert/1"},{"type":"function","title":"ImageRs.new/5","doc":"Create a new `ImageRs` from given binary with corresponding parameters.","ref":"ImageRs.html#new/5"},{"type":"function","title":"ImageRs.resize/4","doc":"Resize this image using the specified filter algorithm.\n\nReturns a new image. Does not preserve aspect ratio.\n\n`height` and `width` are the new image's dimensions.","ref":"ImageRs.html#resize/4"},{"type":"function","title":"ImageRs.resize_preserve_ratio/4","doc":"Resize this image using the specified filter algorithm.\n\nReturns a new image. The image's aspect ratio is preserved.\n\nThe image is scaled to the maximum possible size that fits within the bounds specified by `width` and `height`.","ref":"ImageRs.html#resize_preserve_ratio/4"},{"type":"function","title":"ImageRs.resize_to_fill/4","doc":"Resize this image using the specified filter algorithm.\n\nReturns a new image. The image's aspect ratio is preserved.\n\nThe image is scaled to the maximum possible size that fits within the larger\n(relative to aspect ratio) of the bounds specified by `height` and `width`,\nthen cropped to fit within the other bound.","ref":"ImageRs.html#resize_to_fill/4"},{"type":"function","title":"ImageRs.rotate90/1","doc":"Rotate this image 90 degrees clockwise.","ref":"ImageRs.html#rotate90/1"},{"type":"function","title":"ImageRs.rotate180/1","doc":"Rotate this image 180 degrees clockwise.","ref":"ImageRs.html#rotate180/1"},{"type":"function","title":"ImageRs.rotate270/1","doc":"Rotate this image 270 degrees clockwise.","ref":"ImageRs.html#rotate270/1"},{"type":"function","title":"ImageRs.save/2","doc":"Saves the buffer to a file at the path specified.","ref":"ImageRs.html#save/2"},{"type":"function","title":"ImageRs.save_with_format/3","doc":"Saves the buffer to a file at the path specified in the specified format.","ref":"ImageRs.html#save_with_format/3"},{"type":"function","title":"ImageRs.to_binary/1","doc":"Get binary representation of pixels.","ref":"ImageRs.html#to_binary/1"},{"type":"function","title":"ImageRs.to_nx/2","doc":"Converts an `ImageRs` to a Nx tensor.\n\nIt accepts the same options as `Nx.from_binary/3`.","ref":"ImageRs.html#to_nx/2"},{"type":"function","title":"ImageRs.unsharpen/3","doc":"Performs an unsharpen mask on this image.\n\n`sigma` is the amount to blur the image by.\n\n`threshold` is a control of how much to sharpen.","ref":"ImageRs.html#unsharpen/3"},{"type":"type","title":"ImageRs.output_format/0","doc":"","ref":"ImageRs.html#t:output_format/0"},{"type":"type","title":"ImageRs.t/0","doc":"","ref":"ImageRs.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}